Bug 1933565 - Don't BuildRequires xorg-x11-font-utils
Summary: Don't BuildRequires xorg-x11-font-utils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: baekmuk-bdf-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1932731
TreeView+ depends on / blocked
 
Reported: 2021-03-01 05:52 UTC by Peter Hutterer
Modified: 2021-03-19 19:59 UTC (History)
17 users (show)

Fixed In Version: baekmuk-bdf-fonts-2.2-29.fc35 baekmuk-bdf-fonts-2.2-29.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1933564
Environment:
Last Closed: 2021-03-02 10:37:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-01 05:52:21 UTC
We need mkfontdir which is already a separate Provides by xorg-x11-font-utils. xorg-x11-font-utils is to be split up into multiple packages, see Bug 1932731, so let's get our BuildRequires to work smoothly across that change.

Suggested diff:
diff --git a/baekmuk-bdf-fonts.spec b/baekmuk-bdf-fonts.spec
index 79fb20a..3849217 100644
--- a/baekmuk-bdf-fonts.spec
+++ b/baekmuk-bdf-fonts.spec
@@ -13,7 +13,7 @@ URL:            http://kldp.net/projects/baekmuk/
 Source:  http://kldp.net/frs/download.php/1428/%{fontname}-%{version}.tar.gz
 Patch0:         baekmuk-bdf-fonts-fix-fonts-alias.patch
 BuildArch:      noarch
-BuildRequires:  xorg-x11-font-utils
+BuildRequires:  mkfontdir bdftopcf
 Conflicts:      fonts-korean < 2.2-5
 
 %description


Verified successful build in a local F33 container with only the mkfontscale (Bug 1932734) and bdftopcf (Bug 1932736) packages installed, no xorg-x11-font-utils.

Comment 1 Kevin Kofler 2021-03-01 12:58:57 UTC
Why am I CCed on this bug? I don't comaintain this package. You added many unnecessary CCs.

Comment 2 Peter Hutterer 2021-03-02 00:38:11 UTC
Urgh, I think that's a function of the clone bug feature, it just keeps stacking the CCs so if you were unlucky enough that I (randomly) picked one of your packages as initial one, you kept getting appended. Apologies for the noise.

Comment 3 Fedora Update System 2021-03-02 10:37:37 UTC
FEDORA-2021-68f1fa8ccb has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-03-02 11:45:46 UTC
FEDORA-2021-9660787a95 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9660787a95

Comment 5 Peng Wu 2021-03-02 11:52:14 UTC
Okay, built the package for Fedora 34 and 35.

Comment 6 Fedora Update System 2021-03-03 15:46:04 UTC
FEDORA-2021-9660787a95 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9660787a95`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9660787a95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-19 17:43:28 UTC
FEDORA-2021-9660787a95 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-03-19 19:59:36 UTC
FEDORA-2021-9660787a95 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.